'use strict';

const index = require('./index-bb72bde3.js');
const common = require('./common-a086c7ac.js');

var __rest = (undefined && undefined.__rest) || function (s, e) {
  var t = {};
  for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
    t[p] = s[p];
  if (s != null && typeof Object.getOwnPropertySymbols === "function")
    for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
      if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
        t[p[i]] = s[p[i]];
    }
  return t;
};
const ResponsiveContainer = (_a, children) => {
  var { as = 'div' } = _a, props = __rest(_a, ["as"]);
  const Tag = as;
  return index.h(Tag, Object.assign({}, common.applyProps(props, { class: 'ui-container' })), children);
};

exports.ResponsiveContainer = ResponsiveContainer;
